This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### constrain()
Examples |
    void draw()
    {
      background(204);
      float mx = constrain(mouseX, 30, 70);
      rect(mx-10, 40, 20, 20);
    }
Description | Constrains a value to not exceed a maximum and minimum value.
Syntax |
    constrain(amt, low, high)
Parameters |
amt | int, or float: the value to constrain
low | int, or float: minimum limit
high | int, or float: maximum limit
Returns | float or int
Related | max() min()

Updated on October 26, 2013 08:58:30pm PDT